Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_from_string

## Name

librdf_hash_from_string -- Initialise a hash from a string

## Synopsis

``int `librdf_hash_from_string`` (librdf_hash* `hash`, const char * `string`);`

## Arguments

`hash`

  hash object

`string`

  hash encoded as a string

## The string format is something like

key1='value1',key2='value2', key3='\'quoted value\''

The 's are required and whitespace can appear around the = and ,s

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_hash_print_values | Up | librdf_hash_from_array_of_strings